sui_tryMultiGetPastObjects
POST
Note there is no software-level guarantee/SLA that objects with past versions can be retrieved by this API, even if the object and version exists/existed. The result may vary across nodes depending on their pruning policies. Return the object information for a specified version
param[0]
pastObjectsarrayrequired
A vector of object and versions to be queriedparam[1]
optionsobjectrequired
Options for specifying the content to be returnedshowBcsboolean
Whether to show the content in BCS format. Default to be FalseshowContentboolean
Whether to show the content(i.e., package content or Move struct content) of the object. Default to be FalseshowDisplayboolean
Whether to show the Display metadata of the object for frontend rendering. Default to be FalseshowOwnerboolean
Whether to show the owner of the object. Default to be FalseshowPreviousTransactionboolean
Whether to show the previous transaction digest of the object. Default to be FalseshowStorageRebateboolean
Whether to show the storage rebate of the object. Default to be FalseshowTypeboolean
Whether to show the type of the object. Default to be FalseResponses
jsonrpcstring
idinteger
resultarray
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "sui_tryMultiGetPastObjects","params": [[{"objectId": "0x38b3186a7bb26a1ab2c982a0a9b482aa70f5a010fffc60f20194ef0f597474e8","version": "4"},{"objectId": "0xceaf9ee4582d3a233101e322a22cb2a5bea2e681ea5af4e59bd1abb0bb4fcb27","version": "12"}],{"showBcs": false,"showContent": true,"showDisplay": false,"showOwner": true,"showPreviousTransaction": true,"showStorageRebate": true,"showType": true}]}'